RESTinio

Public Types | List of all members
nonstd::optional_lite::detail::type_of_size< List, N > Struct Template Reference

`#include <optional.hpp>`

## Public Types
typedef std11::conditional< N==sizeof(typenameList::head), typenameList::head, typenametype_of_size< typenameList::tail, N >::type >::type | type

## Detailed Description

template<typename List, size_t N>
struct nonstd::optional_lite::detail::type_of_size< List, N >

Definition at line 694 of file optional.hpp.

## Member Typedef Documentation

## ◆ type

template<typename List , size_t N>

typedef std11::conditional<N==sizeof(typenameList::head),typenameList::head,typenametype_of_size<typenameList::tail,N>::type>::type nonstd::optional_lite::detail::type_of_size< List, N >::type

Definition at line 699 of file optional.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/optional-lite/optional.hpp